allegro_error(3)

NAME
allegro_error - Stores the last Allegro error message.

SYNOPSIS
#include <allegro.h>

extern char allegro_error[ALLEGRO_ERROR_SIZE];

DESCRIPTION
Text string used by set_gfx_mode(), install_sound() and other functions to report error messages. If they fail and you want to tell the user why, this is the place to look for a description of the problem. Example:
   void abort_on_error(const char *message)
   {
      if (screen != NULL)
         set_gfx_mode(GFX_TEXT, 0, 0, 0, 0);

      allegro_message("%s.\nLast Allegro error `%s'\n",
                      message, allegro_error);
      exit(-1);
   }
   ...
      if (some_allegro_function() == ERROR_CODE)
         abort_on_error("Error calling some function!");

SEE ALSO
set_gfx_mode(3), install_sound(3)